/*
 * serial.h
 *
 * Created: 2015-04-09 14:16:45
 *  Author: dsosnowski
 */ 


#ifndef SERIAL_H_
#define SERIAL_H_

#define SERIAL_RBUFFER_SIZE	128

#define COM_PREFIX			'$'
#define COM_POSTFIX			0x0D		//\r

#define SERIAL_IDLE			0
#define SERIAL_READING		1
#define SERIAL_READY		2

void SerialInit(void);
void SerialEnable(char action);
char SerialStatus(void);

char *SerialClockGet(void);
char *SerialConfigGet(void);
char SerialClock(void);

int16_t SerialFindChar(char chr, char pos);
char SerialCheckValue(char pos, char len);
char SerialGetValue(char pos);

void SerialSend(char data);
void SerialText(char *str);
void SerialMsg(char *str);
void SerialSimpleVal(char val);
void SerialSignedVal(int16_t val);
void SerialLongVal(uint32_t val);


#endif /* SERIAL_H_ */

/*
struct {
	char seconds;
	char minutes;
	char hours;
	char dayofmonth;
	char month;
	char year;
	char dayofweek;
	char leap;
} clock;
*/